---
inputType: "CA10__CaAwsDbInstance__c"
importExtracts:
  - file: "/types/CA10__CaAwsDbInstance__c/object.extracts.yaml"
testData:
  - file: 'test-data.json'
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The instance is not available."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__status__c"
        right:
          TEXT: "available"
  - status: "INAPPLICABLE"
    currentStateMessage: "The instance has been created less than 30 days ago."
    check:
      NOT:
        arg:
          IS_BEYOND_LAST_DAYS:
            offsetDays: 30
            arg:
              EXTRACT: "CA10__createTime__c"
  - status: UNDETERMINED
    currentStateMessage: "There is not enough data in the CMDB to identify if the instance is overutilized."
    check:
      IS_EMPTY:
        arg:
          EXTRACT: "CA10__averageCpuOneMonth__c"
  - status: "INCOMPLIANT"
    currentStateMessage: "The instance is overutilized with Average CPU Utilization > 90%"
    remediationMessage: "Consider rightsizing the instance."
    check:
      NOT:
        arg:
          LESS_THAN:
              left:
                EXTRACT: "CA10__averageCpuOneMonth__c"
              right:
                NUMBER: 90.0
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "The instance is not overutilized."